From 244ce2e28d2bc5030566c34dda12f96347220351 Mon Sep 17 00:00:00 2001
From: goupille <goupille@boum.org>
Date: Sat, 18 Mar 2017 15:49:09 +0000
Subject: [PATCH 1/2] add an issue to the known issue list and reorganize
 graphics issues.

---
 wiki/src/support/known_issues.mdwn | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

diff --git a/wiki/src/support/known_issues.mdwn b/wiki/src/support/known_issues.mdwn
index 4c90d05adb..1042081803 100644
--- a/wiki/src/support/known_issues.mdwn
+++ b/wiki/src/support/known_issues.mdwn
@@ -214,6 +214,9 @@ Mac
   Tails Installer.
 * MacBook Pro 6,2 fails to display <span class="application">Tails Greeter</span>.
 
+Graphics issues
+===============
+
 GNOME desktop fails to start with some AMD/ATI Radeon graphic adapters
 ----------------------------------------------------------------------
 
@@ -236,10 +239,10 @@ This issue has appeared with the following graphic adapters:
 For some models, adding `radeon.modeset=0` to the
 [[startup options|/doc/first_steps/startup_options/#boot_loader_menu]] fixes the issue.
 
-<a id="switchable_graphics"></a>
+<a id="switchable_graphics_black_screen"></a>
 
-Switchable graphics computers
------------------------------
+Black screen with switchable graphics computers
+-----------------------------------------------
 
 Some computers with switchable graphics (such as Optimus) fail to
 choose a video card and end up on a black screen. This has been
@@ -277,6 +280,14 @@ There are two possible workarounds for this issue:
 
 For more details, see our ticket on [[!tails_ticket 7505 desc="Video is broken on dual-graphics-card apple hardware"]].
 
+<a id=switchable_graphics_segfault></a>
+
+Segmentation Fault with switchable graphics computers
+-----------------------------------------------------
+
+With some computers with switchable graphics, Tails 2.1\* can't open a gnome session and keep returning to the greeter.
+Booting in Troubleshooting Mode works, as well as adding the `modeprobe.blacklist=nouveau` option in the [[Boot Loader Menu|doc/first_steps/startup_options#boot_loader_menu]].
+
 Laptops with Intel 855GM graphic card
 -------------------------------------
 
-- 
2.11.0


From ef664d9735c1249f2529a729296a7bc4efa38cb7 Mon Sep 17 00:00:00 2001
From: goupille <goupille@boum.org>
Date: Sat, 18 Mar 2017 15:59:31 +0000
Subject: [PATCH 2/2] moving stuff in the right section

---
 wiki/src/support/known_issues.mdwn | 46 +++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

diff --git a/wiki/src/support/known_issues.mdwn b/wiki/src/support/known_issues.mdwn
index 1042081803..5ea514b662 100644
--- a/wiki/src/support/known_issues.mdwn
+++ b/wiki/src/support/known_issues.mdwn
@@ -304,21 +304,15 @@ Add `video=SVIDEO-1:d` on the boot command line to work around this problem.
 
 See [[!tails_ticket 12217 desc="relevant ticket"]] for more information.
 
-<a id="chainloading"></a>
-
-Chainloading Tails from GRUB
-----------------------------
-
-To workaround problems in booting Tails on laptops with UEFI support, it is
-possible to chainload the syslinux on the ISO image from another boot loader
-that is already working on the laptop, like GRUB. Be careful not to modify at
-all the options of syslinux in the process.
+Slow graphics operations with recent NVidia hardware
+----------------------------------------------------
 
-The following commands, run from the GRUB shell, might be helpful:
+Graphics display operations are slow on computers with graphics
+adapters of the NVidia [[!wikipedia GeForce 900 series]], such as the
+GeForce GTX 960.
 
-    set root=(hd1)
-    chainloader +1
-    boot
+This problem is likely resolved with Tails
+[[!tails_ticket 10298 desc="including a newer Linux kernel"]].
 
 <a id="wi-fi"></a>
 
@@ -463,6 +457,22 @@ class="application">Tor Browser</span> inside and outside of Tails:
 Other issues
 ============
 
+<a id="chainloading"></a>
+
+Chainloading Tails from GRUB
+----------------------------
+
+To workaround problems in booting Tails on laptops with UEFI support, it is
+possible to chainload the syslinux on the ISO image from another boot loader
+that is already working on the laptop, like GRUB. Be careful not to modify at
+all the options of syslinux in the process.
+
+The following commands, run from the GRUB shell, might be helpful:
+
+    set root=(hd1)
+    chainloader +1
+    boot
+
 Boot Loader Menu has display issues
 -----------------------------------
 
@@ -549,16 +559,6 @@ manually|doc/first_steps/upgrade/#manual]].
 
 Note that your Persistent Volume will be safely preserved.
 
-Slow graphics operations with recent NVidia hardware
-----------------------------------------------------
-
-Graphics display operations are slow on computers with graphics
-adapters of the NVidia [[!wikipedia GeForce 900 series]], such as the
-GeForce GTX 960.
-
-This problem is likely resolved with Tails
-[[!tails_ticket 10298 desc="including a newer Linux kernel"]].
-
 <a id="restart-shell"></a>
 
 ## Icons and information located on the top right corner of the screen disappeared
-- 
2.11.0