diff -Naur mutter-3.22.4.old/debian/changelog mutter-3.22.4/debian/changelog
--- mutter-3.22.4.old/debian/changelog	2017-04-11 15:56:47.000000000 +0200
+++ mutter-3.22.4/debian/changelog	2017-05-12 14:05:21.179310579 +0200
@@ -1,3 +1,12 @@
+mutter (3.22.4-1+tail1) feature-stretch; urgency=medium
+
+  * Cherry pick from mutter 3.24 the fix for GNOME bug #781902
+    (https://bugzilla.gnome.org/show_bug.cgi?id=781902), which causes
+    at-spi elements to report the wrong X coordinate. Fixes Tails bug
+    #11718 (https://labs.riseup.net/code/issues/11718).
+
+ -- anonym <anonym@riseup.net>  Fri, 12 May 2017 14:01:01 +0200
+
 mutter (3.22.4-1) unstable; urgency=medium
 
   * New upstream release.
diff -Naur mutter-3.22.4.old/debian/patches/at-spi-element-coordinates-fix/0001-cally_Fix_translation_to_screen_coordinates.patch mutter-3.22.4/debian/patches/at-spi-element-coordinates-fix/0001-cally_Fix_translation_to_screen_coordinates.patch
--- mutter-3.22.4.old/debian/patches/at-spi-element-coordinates-fix/0001-cally_Fix_translation_to_screen_coordinates.patch	1970-01-01 01:00:00.000000000 +0100
+++ mutter-3.22.4/debian/patches/at-spi-element-coordinates-fix/0001-cally_Fix_translation_to_screen_coordinates.patch	2017-05-12 13:59:57.482009379 +0200
@@ -0,0 +1,30 @@
+From 0fd9e38175e26ba30dfdc593e6715606ed4779aa Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Florian=20M=C3=BCllner?= <fmuellner@gnome.org>
+Date: Fri, 28 Apr 2017 17:12:40 +0200
+Subject: [PATCH] cally: Fix translation to screen coordinates
+
+Due to an accidental swap of an else statement and a preprocessor #else,
+the output x coordinate is currently only set when not using the X11
+windowing system, whoops.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=781902
+---
+ clutter/clutter/cally/cally-actor.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/clutter/clutter/cally/cally-actor.c b/clutter/clutter/cally/cally-actor.c
+index fe3e27433..8ff5b09e1 100644
+--- a/clutter/clutter/cally/cally-actor.c
++++ b/clutter/clutter/cally/cally-actor.c
+@@ -780,8 +780,8 @@ _cally_actor_get_top_level_origin (ClutterActor *actor,
+         g_warning ("[x11] We were not able to get proper absolute "
+                    "position of the stage");
+     }
+-  else
+ #else
++  else
+     {
+       static gboolean yet_warned = FALSE;
+ 
+-- 
+2.12.2
\ No newline at end of file
diff -Naur mutter-3.22.4.old/debian/patches/at-spi-element-coordinates-fix/0002-cally_Fix_compilation_without_X11_backend.patch mutter-3.22.4/debian/patches/at-spi-element-coordinates-fix/0002-cally_Fix_compilation_without_X11_backend.patch
--- mutter-3.22.4.old/debian/patches/at-spi-element-coordinates-fix/0002-cally_Fix_compilation_without_X11_backend.patch	1970-01-01 01:00:00.000000000 +0100
+++ mutter-3.22.4/debian/patches/at-spi-element-coordinates-fix/0002-cally_Fix_compilation_without_X11_backend.patch	2017-05-12 14:00:04.994132412 +0200
@@ -0,0 +1,41 @@
+From bfe06d79d85a7361b60997b6ba6fe6cde2194c84 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Florian=20M=C3=BCllner?= <fmuellner@gnome.org>
+Date: Fri, 28 Apr 2017 22:25:54 +0200
+Subject: [PATCH] cally: Fix compilation without X11 backend
+
+Commit 0fd9e38175 fixed setting the out parameter for the x coordinate
+when using the X11 backend, but broke compilation when the backend is
+not available ...
+Really fix the issue by running the X11-specific code when the X11
+backend is available and in use, and display the one-time warning
+otherwise.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=781902
+---
+ clutter/clutter/cally/cally-actor.c | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/clutter/clutter/cally/cally-actor.c b/clutter/clutter/cally/cally-actor.c
+index 8ff5b09e1..f341d3616 100644
+--- a/clutter/clutter/cally/cally-actor.c
++++ b/clutter/clutter/cally/cally-actor.c
+@@ -780,8 +780,8 @@ _cally_actor_get_top_level_origin (ClutterActor *actor,
+         g_warning ("[x11] We were not able to get proper absolute "
+                    "position of the stage");
+     }
+-#else
+   else
++#endif
+     {
+       static gboolean yet_warned = FALSE;
+ 
+@@ -793,7 +793,6 @@ _cally_actor_get_top_level_origin (ClutterActor *actor,
+                      "atk_component_get_extents() with ATK_XY_SCREEN.");
+         }
+     }
+-#endif
+ 
+   if (xp)
+     *xp = x;
+-- 
+2.12.2
\ No newline at end of file
diff -Naur mutter-3.22.4.old/debian/patches/series mutter-3.22.4/debian/patches/series
--- mutter-3.22.4.old/debian/patches/series	2017-04-11 13:40:33.000000000 +0200
+++ mutter-3.22.4/debian/patches/series	2017-05-12 14:00:31.442565580 +0200
@@ -1 +1,3 @@
 bgo768531_workaround-startup-notifications.patch
+at-spi-element-coordinates-fix/0001-cally_Fix_translation_to_screen_coordinates.patch
+at-spi-element-coordinates-fix/0002-cally_Fix_compilation_without_X11_backend.patch