From e484c420e9413fcb5b899307fa48cc7ebbc16656 Mon Sep 17 00:00:00 2001
From: Sascha Markus <sascha.markus@gmail.com>
Date: Thu, 29 Mar 2018 00:14:16 +0200
Subject: [PATCH 2/2] feature/7180 Remove right pane of WhisperBack

---
 data/whisperback.ui | 19 +------------------
 whisperBack/gui.py  | 18 ++++++++----------
 2 files changed, 9 insertions(+), 28 deletions(-)

diff --git a/data/whisperback.ui b/data/whisperback.ui
index a93e65b..7c1e714 100644
--- a/data/whisperback.ui
+++ b/data/whisperback.ui
@@ -285,13 +285,7 @@ along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <child>
-          <object class="GtkHPaned" id="hpanedMain">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="position">400</property>
-            <property name="position_set">True</property>
-            <child>
-              <object class="GtkNotebook" id="notebookLeft">
+              <object class="GtkNotebook" id="notebook">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <child>
@@ -575,10 +569,6 @@ along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
                 <child type="tab">
                   <placeholder/>
                 </child>
-              </object>
-            </child>
-            <child>
-              <object class="GtkNotebook" id="notebookRight">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <child>
@@ -672,13 +662,6 @@ along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
                 </child>
               </object>
             </child>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
         <child>
           <object class="GtkHButtonBox" id="hbuttonboxBottom">
             <property name="visible">True</property>
diff --git a/whisperBack/gui.py b/whisperBack/gui.py
index c1a59da..4ba44e2 100644
--- a/whisperBack/gui.py
+++ b/whisperBack/gui.py
@@ -69,9 +69,7 @@ class WhisperBackUI(object):
         builder.connect_signals(self)
 
         self.main_window = builder.get_object("windowMain")
-        self.hpaned_main = builder.get_object("hpanedMain")
-        self.notebook_right = builder.get_object("notebookLeft")
-        self.notebook_left = builder.get_object("notebookRight")
+        self.notebook = builder.get_object("notebook")
         self.progression_dialog = builder.get_object("dialogProgression")
         self.progression_main_text = builder.get_object("progressLabelMain")
         self.progression_progressbar = builder.get_object("progressProgressbar")
@@ -131,13 +129,13 @@ class WhisperBackUI(object):
         self.htmlhelp.get_settings().set_property("user-stylesheet-uri", "file://" +
             whisperBack.utils.get_datadir() + "/style.css")
 
-        # set the two main window areas size on big screens
-        if self.main_window.get_screen().get_width() > 800:
-            self.notebook_left.set_size_request(400, -1)
-            self.notebook_right.set_size_request(400, -1)
-            self.hpaned_main.set_position(self.main_window.get_screen().get_width()
-                - max(self.main_window.get_screen().get_width()/3, 400))
-
+        # set the two main window areas size
+#        screen = self.main_window.get_screen()
+#        monitor = screen.get_monitor_at_window(screen.get_active_window())
+#        geometry =  screen.get_monitor_geometry(monitor)
+#        self.notebook_left.set_size_request(geometry.width / 2, -1)
+#        self.hpaned_main.set_position(geometry.width - geometry.width / 3)
+#
         self.main_window.maximize()
 
         self.main_window.show()
-- 
2.14.1