From 48b0f61df52b79b5b2d8e5f65efc9586c7775989 Mon Sep 17 00:00:00 2001
From: emma peel <emmapeel@aktivix.org>
Date: Thu, 3 May 2018 09:09:13 +0000
Subject: [PATCH 1/2] generated changes in po files

---
 po/ar.po           | 2 +-
 po/az.po           | 2 +-
 po/bg.po           | 2 +-
 po/bn_BD.po        | 2 +-
 po/ca.po           | 2 +-
 po/cs.po           | 2 +-
 po/da.po           | 2 +-
 po/de.po           | 2 +-
 po/el.po           | 2 +-
 po/en_GB.po        | 4 ++--
 po/es.po           | 2 +-
 po/eu.po           | 2 +-
 po/fa.po           | 2 +-
 po/fi.po           | 2 +-
 po/fr.po           | 2 +-
 po/fr_CA.po        | 2 +-
 po/ga.po           | 2 +-
 po/he.po           | 2 +-
 po/hr_HR.po        | 2 +-
 po/hu.po           | 2 +-
 po/hy.po           | 2 +-
 po/id.po           | 2 +-
 po/is.po           | 2 +-
 po/it.po           | 2 +-
 po/ja.po           | 2 +-
 po/km.po           | 2 +-
 po/ko.po           | 2 +-
 po/lt.po           | 2 +-
 po/lv.po           | 2 +-
 po/ms_MY.po        | 2 +-
 po/nb.po           | 2 +-
 po/nl.po           | 2 +-
 po/nl_BE.po        | 2 +-
 po/pl.po           | 2 +-
 po/pl_PL.po        | 2 +-
 po/pt.po           | 2 +-
 po/pt_BR.po        | 2 +-
 po/ro.po           | 2 +-
 po/ru.po           | 2 +-
 po/ru@petr1708.po  | 2 +-
 po/si_LK.po        | 2 +-
 po/sk.po           | 2 +-
 po/sk_SK.po        | 2 +-
 po/sl_SI.po        | 2 +-
 po/sq.po           | 2 +-
 po/sr.po           | 2 +-
 po/sv.po           | 2 +-
 po/ta.po           | 2 +-
 po/th.po           | 2 +-
 po/tr.po           | 2 +-
 po/uk.po           | 2 +-
 po/vi.po           | 2 +-
 po/whisperback.pot | 2 +-
 po/zh_CN.po        | 2 +-
 po/zh_HK.po        | 2 +-
 po/zh_TW.po        | 2 +-
 56 files changed, 57 insertions(+), 57 deletions(-)

diff --git a/po/ar.po b/po/ar.po
index 9913062..46ab9c4 100644
--- a/po/ar.po
+++ b/po/ar.po
@@ -78,7 +78,7 @@ msgid "This could take a while..."
 msgstr "يمكن أن يستغرق هذا بعض الوقت..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "البريد الالكتروني لا يبدو صحيحاً."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/az.po b/po/az.po
index f26c84a..d9b04fd 100644
--- a/po/az.po
+++ b/po/az.po
@@ -58,7 +58,7 @@ msgid "This could take a while..."
 msgstr "Bu bir az vaxt ala bilər..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Əlaqə emaili düz olana oxşamır."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/bg.po b/po/bg.po
index 4d1e52a..2bb4f29 100644
--- a/po/bg.po
+++ b/po/bg.po
@@ -79,7 +79,7 @@ msgid "This could take a while..."
 msgstr "Това ще отнеме известно време..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Е-мейл адресът за контакт не е валиден"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/bn_BD.po b/po/bn_BD.po
index c540697..e871445 100644
--- a/po/bn_BD.po
+++ b/po/bn_BD.po
@@ -74,7 +74,7 @@ msgid "This could take a while..."
 msgstr "এটি কিছু সময় নিতে পারে ..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "যোগাযোগের ইমেল ঠিকানা বৈধ বলে মনে হচ্ছে না।"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ca.po b/po/ca.po
index 18d57aa..10a5a09 100644
--- a/po/ca.po
+++ b/po/ca.po
@@ -77,7 +77,7 @@ msgid "This could take a while..."
 msgstr "Això por trigar una mica..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "L'adreça de correu de contacte no sembla vàlida."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/cs.po b/po/cs.po
index 9bdea35..9e2b13f 100644
--- a/po/cs.po
+++ b/po/cs.po
@@ -76,7 +76,7 @@ msgid "This could take a while..."
 msgstr "Může to chvíli trvat..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Zdá se, že kontaktní emailová adresa je neplatná."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/da.po b/po/da.po
index 13bcb5a..88865b1 100644
--- a/po/da.po
+++ b/po/da.po
@@ -76,7 +76,7 @@ msgid "This could take a while..."
 msgstr "Dette kommer muligvis til at tage et stykke tid..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Din e-mailadresse ser ikke ud til at være gyldig."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/de.po b/po/de.po
index c5e593d..66b67bc 100644
--- a/po/de.po
+++ b/po/de.po
@@ -85,7 +85,7 @@ msgid "This could take a while..."
 msgstr "Dies könnte eine Weile dauern …"
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Die Kontakt-E-Mail-Adresse ist nicht gültig."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/el.po b/po/el.po
index ab707e0..acfdaa3 100644
--- a/po/el.po
+++ b/po/el.po
@@ -80,7 +80,7 @@ msgid "This could take a while..."
 msgstr "Αυτό μπορεί να πάρει λίγο χρόνο..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Η διεύθυνση επικοινωνίας δεν φαίνεται να είναι έγκυρη"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/en_GB.po b/po/en_GB.po
index b547000..7b361f5 100644
--- a/po/en_GB.po
+++ b/po/en_GB.po
@@ -75,8 +75,8 @@ msgid "This could take a while..."
 msgstr "This could take a while..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
-msgstr "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
+msgstr "The contact email address doesn't seem valid."
 
 #: ../whisperBack/gui.py:253
 msgid "Unable to send the mail: SMTP error."
diff --git a/po/es.po b/po/es.po
index 4ccb378..749f520 100644
--- a/po/es.po
+++ b/po/es.po
@@ -82,7 +82,7 @@ msgid "This could take a while..."
 msgstr "Esto puede tardar un poco..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "La dirección de correo electrónico de contacto no parece válida."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/eu.po b/po/eu.po
index 4177e77..5b70578 100644
--- a/po/eu.po
+++ b/po/eu.po
@@ -58,7 +58,7 @@ msgid "This could take a while..."
 msgstr "Honek luze jo dezake..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Harremanetarako email helbidea ez du baliogarria ematen."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/fa.po b/po/fa.po
index a1d0a48..b47584b 100644
--- a/po/fa.po
+++ b/po/fa.po
@@ -81,7 +81,7 @@ msgid "This could take a while..."
 msgstr "این عملیات ممکن است کمی بطول بیانجامد..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "آدرس ایمیل وارد شده به نظر صحیح نمی‌رسد."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/fi.po b/po/fi.po
index e7b308c..1698cc6 100644
--- a/po/fi.po
+++ b/po/fi.po
@@ -60,7 +60,7 @@ msgid "This could take a while..."
 msgstr "Tässä saattaa mennä hetki..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Yhteyshenkilön sähköpostiosoite ei vaikuta kelvolliselta."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/fr.po b/po/fr.po
index ad6ac79..8c1c05d 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -80,7 +80,7 @@ msgid "This could take a while..."
 msgstr "Cela peut prendre du temps..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "L'adresse de contact ne semble pas valide."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/fr_CA.po b/po/fr_CA.po
index be7b42b..5105dcc 100644
--- a/po/fr_CA.po
+++ b/po/fr_CA.po
@@ -81,7 +81,7 @@ msgid "This could take a while..."
 msgstr "Cela peut prendre du temps..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "L’adresse courriel de contact ne semble pas valide."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ga.po b/po/ga.po
index 1a8ac13..e711101 100644
--- a/po/ga.po
+++ b/po/ga.po
@@ -74,7 +74,7 @@ msgid "This could take a while..."
 msgstr "Seans go dtógfaidh seo tamall fada..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Dealraíonn sé nach bhfuil an seoladh rphoist seo bailí."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/he.po b/po/he.po
index 1dc3303..d098cb7 100644
--- a/po/he.po
+++ b/po/he.po
@@ -77,7 +77,7 @@ msgid "This could take a while..."
 msgstr "זה עשוי לקחת זמן מה..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "כתובת הדוא\"ל של איש הקשר לא נראית תקפה."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/hr_HR.po b/po/hr_HR.po
index 88c927d..bb99735 100644
--- a/po/hr_HR.po
+++ b/po/hr_HR.po
@@ -77,7 +77,7 @@ msgid "This could take a while..."
 msgstr "Ovo može potrajati..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Email adresa kontakta nije važeća."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/hu.po b/po/hu.po
index e319e69..ff8f188 100644
--- a/po/hu.po
+++ b/po/hu.po
@@ -76,7 +76,7 @@ msgid "This could take a while..."
 msgstr "Ez egy kis időt vehet igénybe..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Az email cím nem tűnik érvényesnek."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/hy.po b/po/hy.po
index 7ddfd99..69d0ea5 100644
--- a/po/hy.po
+++ b/po/hy.po
@@ -74,7 +74,7 @@ msgid "This could take a while..."
 msgstr "Սա կարող մի փոքր շատ տևել..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Կոնտակտի էլ. հասցեն կարծես թե ճիշտ չէ:"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/id.po b/po/id.po
index 336fd7c..cdebb4d 100644
--- a/po/id.po
+++ b/po/id.po
@@ -84,7 +84,7 @@ msgid "This could take a while..."
 msgstr "Membutuhkan beberapa saat..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Alamat surel kontak sepertinya tidak valid."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/is.po b/po/is.po
index f0e33d2..bc13a15 100644
--- a/po/is.po
+++ b/po/is.po
@@ -74,7 +74,7 @@ msgid "This could take a while..."
 msgstr "Þetta gæti tekið nokkra stund..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Netfang tengiliðarins lítur ekki út fyrir að vera gilt."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/it.po b/po/it.po
index a803ce3..f5c751c 100644
--- a/po/it.po
+++ b/po/it.po
@@ -82,7 +82,7 @@ msgid "This could take a while..."
 msgstr "Questa operazione potrebbe richiedere un po' di tempo..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "L'indirizzo email del contatto non sembra valido."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ja.po b/po/ja.po
index ab429ca..38eb5b2 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -76,7 +76,7 @@ msgid "This could take a while..."
 msgstr "これは時間がかかります..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "連絡先メールアドレスが有効なものではないようです。"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/km.po b/po/km.po
index bef07b7..da99c57 100644
--- a/po/km.po
+++ b/po/km.po
@@ -58,7 +58,7 @@ msgid "This could take a while..."
 msgstr "វា​អាច​ប្រើ​ពេល​បន្តិចបន្តួច..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "អាសយដ្ឋាន​អ៊ីមែល​ទំនាក់ទំនង​ហាក់​មិន​ត្រឹមត្រូវ។"
 
 #: ../whisperBack/gui.py:249
diff --git a/po/ko.po b/po/ko.po
index b48e55e..4740000 100644
--- a/po/ko.po
+++ b/po/ko.po
@@ -78,7 +78,7 @@ msgid "This could take a while..."
 msgstr "다소 시간이 걸릴 수 있습니다..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "연락처 이메일 주소가 올바르지 않습니다."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/lt.po b/po/lt.po
index ec5b131..395c19c 100644
--- a/po/lt.po
+++ b/po/lt.po
@@ -77,7 +77,7 @@ msgid "This could take a while..."
 msgstr "Tai gali užtrukti..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Neatrodo, kad kontakto el. paštas yra tinkamas."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/lv.po b/po/lv.po
index f4771fa..fcf9b68 100644
--- a/po/lv.po
+++ b/po/lv.po
@@ -75,7 +75,7 @@ msgid "This could take a while..."
 msgstr "Tas varētu aizņemt kādu brītiņu..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Šķiet, ka saziņas e-pasta adrese nav derīga."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ms_MY.po b/po/ms_MY.po
index 9173762..3805059 100644
--- a/po/ms_MY.po
+++ b/po/ms_MY.po
@@ -75,7 +75,7 @@ msgid "This could take a while..."
 msgstr "Ia mengambil masa..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Alamat emel kenalan kelihatan tidak sah."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/nb.po b/po/nb.po
index 5b16080..98894ce 100644
--- a/po/nb.po
+++ b/po/nb.po
@@ -75,7 +75,7 @@ msgid "This could take a while..."
 msgstr "Dette kan kan ta en stund…"
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "E-postadressen later ikke til å være gyldig"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/nl.po b/po/nl.po
index 602eb0f..ece2d09 100644
--- a/po/nl.po
+++ b/po/nl.po
@@ -83,7 +83,7 @@ msgid "This could take a while..."
 msgstr "Dit kan enige tijd duren..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Het contact e-mailadres lijkt niet geldig."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/nl_BE.po b/po/nl_BE.po
index d88bda1..467805d 100644
--- a/po/nl_BE.po
+++ b/po/nl_BE.po
@@ -75,7 +75,7 @@ msgid "This could take a while..."
 msgstr "Dit kan even duren..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Het e-mailadres van dit contact lijkt niet geldig."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/pl.po b/po/pl.po
index 5d96a15..1bd0662 100644
--- a/po/pl.po
+++ b/po/pl.po
@@ -79,7 +79,7 @@ msgid "This could take a while..."
 msgstr "To może chwilę potrwać..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Adres email wygląda na błędny."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/pl_PL.po b/po/pl_PL.po
index 352b1a6..2fd7868 100644
--- a/po/pl_PL.po
+++ b/po/pl_PL.po
@@ -96,7 +96,7 @@ msgid "This could take a while..."
 msgstr "To może chwilę potrwać..."
 
 #: ../whisperBack/gui.py:246
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Adres kontaktowy zdaje się być niepoprawny."
 
 #: ../whisperBack/gui.py:263
diff --git a/po/pt.po b/po/pt.po
index c3dff25..f3c8078 100644
--- a/po/pt.po
+++ b/po/pt.po
@@ -79,7 +79,7 @@ msgid "This could take a while..."
 msgstr "Isto pode demorar algum tempo..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "O endereço de correio eletrónico de contacto não parece válido."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/pt_BR.po b/po/pt_BR.po
index a85defd..1fd1672 100644
--- a/po/pt_BR.po
+++ b/po/pt_BR.po
@@ -82,7 +82,7 @@ msgid "This could take a while..."
 msgstr "Esta tarefa pode demorar algum tempo..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "O endereço do e-mail de contato parece não ser válido."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ro.po b/po/ro.po
index 6de7317..a858673 100644
--- a/po/ro.po
+++ b/po/ro.po
@@ -77,7 +77,7 @@ msgid "This could take a while..."
 msgstr "Ar putea dura...."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Adresa email de contact nu pare a fi validă."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ru.po b/po/ru.po
index 45df4c5..eef35dd 100644
--- a/po/ru.po
+++ b/po/ru.po
@@ -80,7 +80,7 @@ msgid "This could take a while..."
 msgstr "Это может занять некоторое время..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Контактный адрес электронной почты не похож на правильный."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ru@petr1708.po b/po/ru@petr1708.po
index 2314e7d..275cdb6 100644
--- a/po/ru@petr1708.po
+++ b/po/ru@petr1708.po
@@ -60,7 +60,7 @@ msgid "This could take a while..."
 msgstr "Это может занять некоторое время..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Контактный e-mail не похож на правильный."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/si_LK.po b/po/si_LK.po
index 452582d..918786e 100644
--- a/po/si_LK.po
+++ b/po/si_LK.po
@@ -59,7 +59,7 @@ msgid "This could take a while..."
 msgstr "මෙම කාර්යය ඉටුකිරීමට ටික වෙලාවක් ගත විය හැක..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "මෙම සම්බන්ධක විද්‍යුත් තැපෑල ලිපිනය වලංගු නොවේ."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/sk.po b/po/sk.po
index d759719..59517c2 100644
--- a/po/sk.po
+++ b/po/sk.po
@@ -59,7 +59,7 @@ msgid "This could take a while..."
 msgstr "Toto môže biť na dlhšie..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Kontaktná emailová adresa sa nezdá but správna."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/sk_SK.po b/po/sk_SK.po
index d610ef4..71bfcde 100644
--- a/po/sk_SK.po
+++ b/po/sk_SK.po
@@ -58,7 +58,7 @@ msgid "This could take a while..."
 msgstr "Toto môže chvíľu trvať..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "E-mailová adresa kontaktu nemá platný tvar."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/sl_SI.po b/po/sl_SI.po
index 2812140..6dc1563 100644
--- a/po/sl_SI.po
+++ b/po/sl_SI.po
@@ -58,7 +58,7 @@ msgid "This could take a while..."
 msgstr "To lahko traja nekaj časa ..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Kontaktni e-naslov verjetno ni pravi."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/sq.po b/po/sq.po
index 0fe2f42..c6641b1 100644
--- a/po/sq.po
+++ b/po/sq.po
@@ -58,7 +58,7 @@ msgid "This could take a while..."
 msgstr "Kjo mund të hajë pak kohë..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Adresa e e-postës së kontaktit s'duket e vlefshme."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/sr.po b/po/sr.po
index 868eb82..b63e21b 100644
--- a/po/sr.po
+++ b/po/sr.po
@@ -59,7 +59,7 @@ msgid "This could take a while..."
 msgstr "Ово може да потраје..."
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Контакт емаил адреса делује неисправно."
 
 #: ../whisperBack/gui.py:249
diff --git a/po/sv.po b/po/sv.po
index c37b272..ab3a5fb 100644
--- a/po/sv.po
+++ b/po/sv.po
@@ -78,7 +78,7 @@ msgid "This could take a while..."
 msgstr "Det här kan ta en stund..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "E-postadressen verkar inte vara giltig."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/ta.po b/po/ta.po
index 02edb19..5d2e67d 100644
--- a/po/ta.po
+++ b/po/ta.po
@@ -78,7 +78,7 @@ msgid "This could take a while..."
 msgstr "இது சிறிது நேரம் எடுக்கலாம்..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "தொடர்பு மின்னஞ்சல் முகவரி சரியானதாக தெரியவில்லை."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/th.po b/po/th.po
index 95dd2b9..712265c 100644
--- a/po/th.po
+++ b/po/th.po
@@ -75,7 +75,7 @@ msgid "This could take a while..."
 msgstr "นี่อาจใช้เวลาสักพัก..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "ที่อยู่อีเมลติดต่อดูเหมือนจะใช้ไม่ได้"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/tr.po b/po/tr.po
index 96172b0..b7e9166 100644
--- a/po/tr.po
+++ b/po/tr.po
@@ -84,7 +84,7 @@ msgid "This could take a while..."
 msgstr "Bu işlem biraz zaman alabilir..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "İletişim e-postası geçerli gibi görünmüyor."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/uk.po b/po/uk.po
index 409d718..17d4593 100644
--- a/po/uk.po
+++ b/po/uk.po
@@ -77,7 +77,7 @@ msgid "This could take a while..."
 msgstr "Це може зайняти деякий час..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Невірна контактна адреса електронної пошти."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/vi.po b/po/vi.po
index ca695da..c2558f0 100644
--- a/po/vi.po
+++ b/po/vi.po
@@ -75,7 +75,7 @@ msgid "This could take a while..."
 msgstr "Việc này có thể mất chút thời gian..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "Địa chỉ email liên hệ đường như không hợp lệ."
 
 #: ../whisperBack/gui.py:253
diff --git a/po/whisperback.pot b/po/whisperback.pot
index d1f5e35..2fdd6cd 100644
--- a/po/whisperback.pot
+++ b/po/whisperback.pot
@@ -73,7 +73,7 @@ msgid "This could take a while..."
 msgstr ""
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr ""
 
 #: ../whisperBack/gui.py:253
diff --git a/po/zh_CN.po b/po/zh_CN.po
index ecd10ca..7dc082c 100644
--- a/po/zh_CN.po
+++ b/po/zh_CN.po
@@ -79,7 +79,7 @@ msgid "This could take a while..."
 msgstr "此操作可能需要一些时间..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "联系人电子邮件地址无效。"
 
 #: ../whisperBack/gui.py:253
diff --git a/po/zh_HK.po b/po/zh_HK.po
index 97e6334..1ff5a8f 100644
--- a/po/zh_HK.po
+++ b/po/zh_HK.po
@@ -62,7 +62,7 @@ msgid "This could take a while..."
 msgstr "呢樣可能需要一段時間…"
 
 #: ../whisperBack/gui.py:232
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "聯絡電郵地址似乎唔正確。"
 
 #: ../whisperBack/gui.py:249
diff --git a/po/zh_TW.po b/po/zh_TW.po
index b2b9385..9bc2305 100644
--- a/po/zh_TW.po
+++ b/po/zh_TW.po
@@ -76,7 +76,7 @@ msgid "This could take a while..."
 msgstr "這可能需要一段時間..."
 
 #: ../whisperBack/gui.py:236
-msgid "The contact email adress doesn't seem valid."
+msgid "The contact email address doesn't seem valid."
 msgstr "聯絡人的電子郵件位址似乎不正確。"
 
 #: ../whisperBack/gui.py:253
-- 
2.11.0