--- /home/intrigeri/tails/website/wiki/src/torrents/files/tails-amd64-3.9.1.packages	2018-10-10 16:24:16.757991457 +0200
+++ tails-amd64-feature_15936-linux-4.18-stable-bump-Debian+force-all-tests-3.10-20181010T1523Z-33d7413512.iso.packages	2018-10-10 17:56:09.891425831 +0200
@@ -125,21 +125,21 @@
 file-roller	3.22.3-1
 findutils	4.6.0+git+20161106-2
 firefox	60.2.1+fake1
-firmware-amd-graphics	20180825-1
-firmware-atheros	20180825-1
+firmware-amd-graphics	20180825+dfsg-1
+firmware-atheros	20180825+dfsg-1
 firmware-b43-installer	1:019-3
 firmware-b43legacy-installer	1:019-3
-firmware-brcm80211	20180825-1
-firmware-intel-sound	20180825-1
-firmware-ipw2x00	20180825-1
-firmware-iwlwifi	20180825-1
-firmware-libertas	20180825-1
-firmware-linux	20180825-1
+firmware-brcm80211	20180825+dfsg-1
+firmware-intel-sound	20180825+dfsg-1
+firmware-ipw2x00	20180825+dfsg-1
+firmware-iwlwifi	20180825+dfsg-1
+firmware-libertas	20180825+dfsg-1
+firmware-linux	20180825+dfsg-1
 firmware-linux-free	3.4
-firmware-linux-nonfree	20180825-1
-firmware-misc-nonfree	20180825-1
-firmware-realtek	20180825-1
-firmware-ti-connectivity	20180825-1
+firmware-linux-nonfree	20180825+dfsg-1
+firmware-misc-nonfree	20180825+dfsg-1
+firmware-realtek	20180825+dfsg-1
+firmware-ti-connectivity	20180825+dfsg-1
 firmware-zd1211	1:1.5-4
 fontconfig	2.11.0-6.7.0tails4
 fontconfig-config	2.11.0-6.7.0tails4
@@ -290,8 +290,8 @@
 gir1.2-upowerglib-1.0:amd64	0.99.4-4+b1
 gir1.2-webkit2-4.0:amd64	2.18.6-1~deb9u1
 gir1.2-wnck-3.0:amd64	3.20.1-3
-git	1:2.11.0-3+deb9u3
-git-man	1:2.11.0-3+deb9u3
+git	1:2.11.0-3+deb9u4
+git-man	1:2.11.0-3+deb9u4
 gjs	1.46.0-1.0tails2
 gkbd-capplet	3.22.0.1-1+b1
 glib-networking:amd64	2.50.0-1+b1
@@ -638,9 +638,9 @@
 libedit2:amd64	3.1-20160903-3
 libefiboot1:amd64	30-2
 libefivar1:amd64	30-2
-libegl-mesa0:amd64	17.3.9-1~bpo9+1
+libegl-mesa0:amd64	18.1.6-1~bpo9+1
 libegl1:amd64	1.0.0+git20180308-2~bpo9+1
-libegl1-mesa:amd64	17.3.9-1~bpo9+1
+libegl1-mesa:amd64	18.1.6-1~bpo9+1
 libelf1:amd64	0.168-1
 libenca0:amd64	1.19-1+b1
 libenchant1c2a:amd64	1.6.0-11+b1
@@ -698,7 +698,7 @@
 libgail-3-0:amd64	3.22.11-1.0tails5
 libgail-common:amd64	2.24.31-2.0tails1
 libgail18:amd64	2.24.31-2.0tails1
-libgbm1:amd64	17.3.9-1~bpo9+1
+libgbm1:amd64	18.1.6-1~bpo9+1
 libgc1c2:amd64	1:7.4.2-8
 libgcc1:amd64	1:6.3.0-18+deb9u1
 libgck-1-0:amd64	3.20.0-5.1
@@ -727,11 +727,11 @@
 libgirepository-1.0-1:amd64	1.50.0-1.0tails2
 libgjs0e	1.46.0-1.0tails2
 libgl1:amd64	1.0.0+git20180308-2~bpo9+1
-libgl1-mesa-dri:amd64	17.3.9-1~bpo9+1
-libgl1-mesa-glx:amd64	17.3.9-1~bpo9+1
-libglapi-mesa:amd64	17.3.9-1~bpo9+1
+libgl1-mesa-dri:amd64	18.1.6-1~bpo9+1
+libgl1-mesa-glx:amd64	18.1.6-1~bpo9+1
+libglapi-mesa:amd64	18.1.6-1~bpo9+1
 libgles2:amd64	1.0.0+git20180308-2~bpo9+1
-libgles2-mesa:amd64	17.3.9-1~bpo9+1
+libgles2-mesa:amd64	18.1.6-1~bpo9+1
 libglew2.0:amd64	2.0.0-3+b1
 libglib-object-introspection-perl	0.042-1
 libglib-perl	3:1.324-1
@@ -742,7 +742,7 @@
 libgltf-0.0-0v5:amd64	0.0.2-5
 libglu1-mesa:amd64	9.0.0-2.1
 libglvnd0:amd64	1.0.0+git20180308-2~bpo9+1
-libglx-mesa0:amd64	17.3.9-1~bpo9+1
+libglx-mesa0:amd64	18.1.6-1~bpo9+1
 libglx0:amd64	1.0.0+git20180308-2~bpo9+1
 libgme0:amd64	0.6.0-4
 libgmime-2.6-0:amd64	2.6.22+dfsg2-1
@@ -901,7 +901,7 @@
 liblilv-0-0	0.24.2~dfsg0-1
 liblirc-client0:amd64	0.9.4c-9
 liblist-moreutils-perl	0.416-1+b1
-libllvm5.0:amd64	1:5.0.1-2~bpo9+1
+libllvm6.0:amd64	1:6.0-1~bpo9+1
 liblocale-gettext-perl	1.07-3+b1
 liblockfile-bin	1.14-1+b1
 liblockfile1:amd64	1.14-1+b1
@@ -1337,10 +1337,11 @@
 libwacom-common	0.22-1
 libwacom2:amd64	0.22-1+b1
 libwavpack1:amd64	5.0.0-2+deb9u2
-libwayland-client0:amd64	1.12.0-1
-libwayland-cursor0:amd64	1.12.0-1
-libwayland-egl1-mesa:amd64	17.3.9-1~bpo9+1
-libwayland-server0:amd64	1.12.0-1
+libwayland-client0:amd64	1.15.0-2~bpo9+1
+libwayland-cursor0:amd64	1.15.0-2~bpo9+1
+libwayland-egl1:amd64	1.15.0-2~bpo9+1
+libwayland-egl1-mesa:amd64	18.1.6-1~bpo9+1
+libwayland-server0:amd64	1.15.0-2~bpo9+1
 libwbclient0:amd64	2:4.5.12+dfsg-2+deb9u3
 libwebkit2gtk-4.0-37:amd64	2.18.6-1~deb9u1
 libwebp6:amd64	0.5.2-1
@@ -1367,7 +1368,7 @@
 libx264-148:amd64	2:0.148.2748+git97eaef2-1
 libx265-95:amd64	2.1-2+b2
 libxapian30:amd64	1.4.3-2+deb9u1
-libxatracker2:amd64	17.3.9-1~bpo9+1
+libxatracker2:amd64	18.1.6-1~bpo9+1
 libxau6:amd64	1:1.0.8-1
 libxaw7:amd64	2:1.0.13-1+b2
 libxcb-dri2-0:amd64	1.12-1
@@ -1451,7 +1452,7 @@
 liferea	1.12~rc3-1
 liferea-data	1.12~rc3-1
 linux-base	4.5
-linux-image-4.17.0-3-amd64	4.17.17-1
+linux-image-4.18.0-2-amd64	4.18.10-2
 live-boot	1:20170112
 live-boot-initramfs-tools	1:20170112
 live-config	5.20170112+deb9u1
@@ -1799,10 +1800,10 @@
 util-linux	2.29.2-1+deb9u1
 vim-common	2:8.0.0197-4+deb9u1
 vim-tiny	2:8.0.0197-4+deb9u1
-virtualbox-guest-dkms-dummy	5.2.16-dfsg-3~bpo9+2+tails.fake1
-virtualbox-guest-utils	5.2.16-dfsg-3~bpo9+2
-virtualbox-guest-x11	5.2.16-dfsg-3~bpo9+2
-webext-ublock-origin	1.16.14+dfsg-1
+virtualbox-guest-dkms-dummy	5.2.18-dfsg-2~bpo9+1+tails.fake1
+virtualbox-guest-utils	5.2.18-dfsg-2~bpo9+1
+virtualbox-guest-x11	5.2.18-dfsg-2~bpo9+1
+webext-ublock-origin	1.16.14+dfsg-2
 wget	1.18-5+deb9u2
 whiptail	0.52.19-1+b1
 whisperback	1.7.19