From 294ea8c5eb55145126fd9c8b73845dc0bbe0711b Mon Sep 17 00:00:00 2001
From: sajolida <sajolida@pimienta.org>
Date: Fri, 4 Jan 2019 19:23:13 +0000
Subject: [PATCH] Wrap 'title' directive in a '<div>'

---
 wiki/src/install.de.po | 11 +++++++----
 wiki/src/install.es.po | 16 ++++++++++++----
 wiki/src/install.fa.po | 11 +++++++----
 wiki/src/install.fr.po | 16 ++++++++++++----
 wiki/src/install.html  |  2 +-
 wiki/src/install.it.po | 15 +++++++++------
 wiki/src/install.pt.po | 11 +++++++----
 7 files changed, 55 insertions(+), 27 deletions(-)

diff --git a/wiki/src/install.de.po b/wiki/src/install.de.po
index 8aabf80ec6..1d5da09972 100644
--- a/wiki/src/install.de.po
+++ b/wiki/src/install.de.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
-"POT-Creation-Date: 2018-05-07 20:12+0300\n"
+"POT-Creation-Date: 2019-01-04 19:00+0000\n"
 "PO-Revision-Date: 2017-02-09 19:00+0100\n"
 "Last-Translator: Tails translators <tails@boum.org>\n"
 "Language-Team: \n"
@@ -16,6 +16,10 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: Poedit 1.8.6\n"
 
+#. type: Content of: <div>
+msgid "[[!meta title=\"Download and install Tails\"]]"
+msgstr ""
+
 #. type: Content of: outside any tag (error?)
 #, fuzzy
 #| msgid ""
@@ -26,9 +30,8 @@ msgstr ""
 #| "title=\"\"]] [[!inline pages=\"install/inc/tails-installation-assistant."
 #| "inline\" raw=\"yes\" sort=\"age\"]]"
 msgid ""
-"[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
-"\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
-"stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
+"[[!meta stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
+"stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgstr ""
 "[[!meta title=\"Willkommen beim Tails Installations-Assistenten\"]] [[!meta "
 "stylesheet=\"bootstrap\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet="
diff --git a/wiki/src/install.es.po b/wiki/src/install.es.po
index b2e8dfc6d5..345953b456 100644
--- a/wiki/src/install.es.po
+++ b/wiki/src/install.es.po
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: tails-l10n@boum.org\n"
-"POT-Creation-Date: 2018-06-10 16:12+0200\n"
+"POT-Creation-Date: 2019-01-04 19:00+0000\n"
 "PO-Revision-Date: 2018-05-09 19:35+0000\n"
 "Last-Translator: Joaquín Serna <bubuanabelas@cryptolab.net>\n"
 "Language-Team: Spanish <http://translate.tails.boum.org/projects/tails/"
@@ -18,11 +18,19 @@ msgstr ""
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 "X-Generator: Weblate 2.10.1\n"
 
+#. type: Content of: <div>
+msgid "[[!meta title=\"Download and install Tails\"]]"
+msgstr ""
+
 #. type: Content of: outside any tag (error?)
+#, fuzzy
+#| msgid ""
+#| "[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
+#| "\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet="
+#| "\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgid ""
-"[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
-"\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
-"stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
+"[[!meta stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
+"stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgstr ""
 "[[!meta title=\"Descargar e instalar Tails\"]] [[!meta stylesheet="
 "\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
diff --git a/wiki/src/install.fa.po b/wiki/src/install.fa.po
index 68aeafa80f..268964c0f1 100644
--- a/wiki/src/install.fa.po
+++ b/wiki/src/install.fa.po
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2018-05-07 20:12+0300\n"
+"POT-Creation-Date: 2019-01-04 19:00+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -16,11 +16,14 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
+#. type: Content of: <div>
+msgid "[[!meta title=\"Download and install Tails\"]]"
+msgstr ""
+
 #. type: Content of: outside any tag (error?)
 msgid ""
-"[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
-"\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
-"stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
+"[[!meta stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
+"stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgstr ""
 
 #. type: Content of: <h4>
diff --git a/wiki/src/install.fr.po b/wiki/src/install.fr.po
index ba7c8dcf1f..11a3e5fc20 100644
--- a/wiki/src/install.fr.po
+++ b/wiki/src/install.fr.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Tails\n"
-"POT-Creation-Date: 2018-05-07 20:12+0300\n"
+"POT-Creation-Date: 2019-01-04 19:00+0000\n"
 "PO-Revision-Date: 2018-05-16 08:35+0000\n"
 "Last-Translator: \n"
 "Language-Team: Tails translators <tails@boum.org>\n"
@@ -16,11 +16,19 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: Poedit 1.8.11\n"
 
+#. type: Content of: <div>
+msgid "[[!meta title=\"Download and install Tails\"]]"
+msgstr ""
+
 #. type: Content of: outside any tag (error?)
+#, fuzzy
+#| msgid ""
+#| "[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
+#| "\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet="
+#| "\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgid ""
-"[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
-"\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
-"stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
+"[[!meta stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
+"stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgstr ""
 "[[!meta title=\"Télécharger et installer Tails\"]] [[!meta stylesheet="
 "\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
diff --git a/wiki/src/install.html b/wiki/src/install.html
index 8a1055b206..b4d0f3252f 100644
--- a/wiki/src/install.html
+++ b/wiki/src/install.html
@@ -1,4 +1,4 @@
-[[!meta title="Download and install Tails"]]
+<div>[[!meta title="Download and install Tails"]]</div>
 
 [[!meta stylesheet="bootstrap.min" rel="stylesheet" title=""]]
 [[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
diff --git a/wiki/src/install.it.po b/wiki/src/install.it.po
index 952d7b5dcc..8737622164 100644
--- a/wiki/src/install.it.po
+++ b/wiki/src/install.it.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: italian\n"
-"POT-Creation-Date: 2018-05-07 20:12+0300\n"
+"POT-Creation-Date: 2019-01-04 19:00+0000\n"
 "PO-Revision-Date: 2017-06-30 13:43+0000\n"
 "Last-Translator: transitails <transitails@inventati.org>\n"
 "Language-Team: ita <transitails@inventati.org>\n"
@@ -16,6 +16,10 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: Poedit 1.8.11\n"
 
+#. type: Content of: <div>
+msgid "[[!meta title=\"Download and install Tails\"]]"
+msgstr ""
+
 #. type: Content of: outside any tag (error?)
 #, fuzzy
 #| msgid ""
@@ -26,16 +30,15 @@ msgstr ""
 #| "title=\"\"]] [[!inline pages=\"install/inc/tails-installation-assistant."
 #| "inline\" raw=\"yes\" sort=\"age\"]]"
 msgid ""
-"[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
-"\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
-"stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
+"[[!meta stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
+"stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgstr ""
 "[[!meta title=\"Welcome to the Tails Installation Assistant\"]] [[!meta "
 "stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
 "stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]] [[!"
 "meta stylesheet=\"inc/stylesheets/router-install\" rel=\"stylesheet\" title="
-"\"\"]] [[!inline pages=\"install/inc/tails-installation-assistant.inline.it\" "
-"raw=\"yes\" sort=\"age\"]]"
+"\"\"]] [[!inline pages=\"install/inc/tails-installation-assistant.inline.it"
+"\" raw=\"yes\" sort=\"age\"]]"
 
 #. type: Content of: <h4>
 msgid "Thank you for your interest in Tails."
diff --git a/wiki/src/install.pt.po b/wiki/src/install.pt.po
index 2c3613c467..8fb9fc64fa 100644
--- a/wiki/src/install.pt.po
+++ b/wiki/src/install.pt.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2018-05-07 20:12+0300\n"
+"POT-Creation-Date: 2019-01-04 19:00+0000\n"
 "PO-Revision-Date: 2018-02-09 11:58+0000\n"
 "Last-Translator: Tails translators <amnesia@boum.org\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -17,11 +17,14 @@ msgstr ""
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 "X-Generator: Weblate 2.10.1\n"
 
+#. type: Content of: <div>
+msgid "[[!meta title=\"Download and install Tails\"]]"
+msgstr ""
+
 #. type: Content of: outside any tag (error?)
 msgid ""
-"[[!meta title=\"Download and install Tails\"]] [[!meta stylesheet="
-"\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta stylesheet=\"inc/"
-"stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
+"[[!meta stylesheet=\"bootstrap.min\" rel=\"stylesheet\" title=\"\"]] [[!meta "
+"stylesheet=\"inc/stylesheets/assistant\" rel=\"stylesheet\" title=\"\"]]"
 msgstr ""
 
 #. type: Content of: <h4>
-- 
2.11.0