From 1712ef113a9486159102bdb160804104cbaad425 Mon Sep 17 00:00:00 2001
From: Sascha Markus <sascha.markus@gmail.com>
Date: Sat, 27 Apr 2019 14:26:17 +0000
Subject: [PATCH 2/2] Test translation for German desktop (refs: #6486)

---
 data/whisperback.desktop |   6 ++-
 po/de.po                 | 138 +++++++++++++++++++++++++++++++++--------------
 po/whisperback.pot       |  66 +++++++++++++----------
 3 files changed, 141 insertions(+), 69 deletions(-)

diff --git a/data/whisperback.desktop b/data/whisperback.desktop
index b5e7ca3..631ef94 100644
--- a/data/whisperback.desktop
+++ b/data/whisperback.desktop
@@ -1,8 +1,10 @@
 [Desktop Entry]
-Version=1.7.22
+Version=1.7.21
 Name=WhisperBack Error Reporting
+Name[de]=WhisperBack Problemmelder
 Comment=Send feedback via encrypted e-mail
-Keywords=feedback;bug;report;tails,error;
+Keywords=feedback;bug;report;tails;error;
+Keywords[de]=Feedback;Problem;Meldung;Tails;Fehler
 Type=Application
 Exec=whisperback
 Icon=whisperback
diff --git a/po/de.po b/po/de.po
index 2c7235e..1d60094 100644
--- a/po/de.po
+++ b/po/de.po
@@ -1,7 +1,7 @@
 # SOME DESCRIPTIVE TITLE.
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the PACKAGE package.
-# 
+#
 # Translators:
 # Curtis Baltimore <curtisbaltimore@protonmail.com>, 2018
 # Till Kottmann, 2013
@@ -21,140 +21,167 @@ msgid ""
 msgstr ""
 "Project-Id-Version: Tor Project\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-11 17:17+0200\n"
+"POT-Creation-Date: 2019-04-27 14:11+0000\n"
 "PO-Revision-Date: 2019-01-15 12:20+0000\n"
 "Last-Translator: erinm\n"
-"Language-Team: German (http://www.transifex.com/otf/torproject/language/de/)\n"
+"Language-Team: German (http://www.transifex.com/otf/torproject/language/"
+"de/)\n"
+"Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Language: de\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #. XXX use a better exception
-#: ../whisperBack/whisperback.py:56
+#: ../whisperBack/whisperback.py:63
 #, python-format
 msgid "Invalid contact email: %s"
 msgstr "Ungültige Kontakt-E-Mail-Adresse: %s"
 
-#: ../whisperBack/whisperback.py:74
+#: ../whisperBack/whisperback.py:83
 #, python-format
 msgid "Invalid contact OpenPGP key: %s"
 msgstr "Kontakt-OpenPGP-Schlüssel nicht gültig: %s"
 
-#: ../whisperBack/whisperback.py:76
+#: ../whisperBack/whisperback.py:85
 msgid "Invalid contact OpenPGP public key block"
-msgstr "Datenblock im öffentlichen OpenPGP-Schlüssel des Kontaktes ist nicht gültig"
+msgstr ""
+"Datenblock im öffentlichen OpenPGP-Schlüssel des Kontaktes ist nicht gültig"
 
 #: ../whisperBack/exceptions.py:41
 #, python-format
 msgid ""
-"The %s variable was not found in any of the configuration files "
-"/etc/whisperback/config.py, ~/.whisperback/config.py, or ./config.py"
-msgstr "Die %s Variable wurde in keiner der Konfigurationsdateien /etc/whisperback/config.py, ~/.whisperback/config.py, oder ./config.py gefunden"
+"The %s variable was not found in any of the configuration files /etc/"
+"whisperback/config.py, ~/.whisperback/config.py, or ./config.py"
+msgstr ""
+"Die %s Variable wurde in keiner der Konfigurationsdateien /etc/whisperback/"
+"config.py, ~/.whisperback/config.py, oder ./config.py gefunden"
 
-#: ../whisperBack/gui.py:111
+#: ../whisperBack/gui.py:114
 msgid "Name of the affected software"
 msgstr "Name der betroffenen Software"
 
-#: ../whisperBack/gui.py:113
+#: ../whisperBack/gui.py:116
 msgid "Exact steps to reproduce the error"
 msgstr "Genaue Schritte, um das Problem zu reproduzieren"
 
-#: ../whisperBack/gui.py:115
+#: ../whisperBack/gui.py:118
 msgid "Actual result and description of the error"
 msgstr "Tatsächliches Ergebnis und Beschreibung des Problems"
 
-#: ../whisperBack/gui.py:117
+#: ../whisperBack/gui.py:120
 msgid "Desired result"
 msgstr "Gewünschtes Ergebnis"
 
-#: ../whisperBack/gui.py:130
+#: ../whisperBack/gui.py:133
 msgid "Unable to load a valid configuration."
 msgstr "Es konnte keine gültige Konfiguration geladen werden."
 
-#: ../whisperBack/gui.py:166
+#: ../whisperBack/gui.py:170
 msgid "Sending mail..."
 msgstr "Nachricht wird gesendet …"
 
-#: ../whisperBack/gui.py:167
+#: ../whisperBack/gui.py:171
 msgid "Sending mail"
 msgstr "Nachricht wird gesendet"
 
 #. pylint: disable=C0301
-#: ../whisperBack/gui.py:169
+#: ../whisperBack/gui.py:173
 msgid "This could take a while..."
 msgstr "Dies könnte eine Weile dauern …"
 
-#: ../whisperBack/gui.py:185
+#: ../whisperBack/gui.py:189
 msgid "The contact email address doesn't seem valid."
 msgstr "Die Kontakt-E-Mail-Adresse scheint nicht gültig zu sein."
 
-#: ../whisperBack/gui.py:202
+#: ../whisperBack/gui.py:206
 msgid "Unable to send the mail: SMTP error."
 msgstr "Nachricht kann nicht gesendet werden: SMTP-Fehler."
 
-#: ../whisperBack/gui.py:204
+#: ../whisperBack/gui.py:208
 msgid "Unable to connect to the server."
 msgstr "Verbindung zum Server fehlgeschlagen."
 
-#: ../whisperBack/gui.py:206
+#: ../whisperBack/gui.py:210
 msgid "Unable to create or to send the mail."
 msgstr "E-Mail kann nicht erstellt oder versendet werden."
 
-#: ../whisperBack/gui.py:209
+#: ../whisperBack/gui.py:213
 msgid ""
 "\n"
 "\n"
-"The bug report could not be sent, likely due to network problems. Please try to reconnect to the network and click send again.\n"
+"The bug report could not be sent, likely due to network problems. Please try "
+"to reconnect to the network and click send again.\n"
 "\n"
 "If it does not work, you will be offered to save the bug report."
-msgstr "\n\nDer Fehlerbericht konnte vermutlich wegen Netzwerkproblemen nicht gesendet werden. Bitte versuchen Sie sich erneut mit dem Netzwerk zu verbinden und klicken Sie erneut auf Senden.\n\nSollte das nicht funktionieren, wird Ihnen angeboten, den Fehlerbericht zu speichern."
+msgstr ""
+"\n"
+"\n"
+"Der Fehlerbericht konnte vermutlich wegen Netzwerkproblemen nicht gesendet "
+"werden. Bitte versuchen Sie sich erneut mit dem Netzwerk zu verbinden und "
+"klicken Sie erneut auf Senden.\n"
+"\n"
+"Sollte das nicht funktionieren, wird Ihnen angeboten, den Fehlerbericht zu "
+"speichern."
 
-#: ../whisperBack/gui.py:222
+#: ../whisperBack/gui.py:226
 msgid "Your message has been sent."
 msgstr "Ihre Nachricht wurde gesendet."
 
-#: ../whisperBack/gui.py:229
+#: ../whisperBack/gui.py:233
 msgid "An error occured during encryption."
 msgstr "Ein Fehler trat beim Verschlüsseln auf."
 
-#: ../whisperBack/gui.py:249
+#: ../whisperBack/gui.py:253
 #, python-format
 msgid "Unable to save %s."
 msgstr "%s kann nicht gespeichert werden."
 
-#: ../whisperBack/gui.py:272
+#: ../whisperBack/gui.py:276
 #, python-format
 msgid ""
 "The bug report could not be sent, likely due to network problems.\n"
 "\n"
-"As a work-around you can save the bug report as a file on a USB drive and try to send it to us at %s from your email account using another system. Note that your bug report will not be anonymous when doing so unless you take further steps yourself (e.g. using Tor with a throw-away email account).\n"
+"As a work-around you can save the bug report as a file on a USB drive and "
+"try to send it to us at %s from your email account using another system. "
+"Note that your bug report will not be anonymous when doing so unless you "
+"take further steps yourself (e.g. using Tor with a throw-away email "
+"account).\n"
 "\n"
 "Do you want to save the bug report to a file?"
-msgstr "Der Fehlerbericht konnte – vermutlich aufgrund von Netzwerkproblemen – nicht gesendet werden.\n\nAls alternative Lösung können Sie den Fehlerbericht auf einem USB-Stick speichern und versuchen, ihn uns von einem anderen Rechner aus per E-Mail an %s zu senden. Bedenken Sie bitte, dass dieser Fehlerbericht dann nicht anonym sein wird, es sei denn, Sie unternehmen weitere Schritte dazu (z. B. die Verwendung einer Wegwerf-E-Mail-Adresse in Verbindung mit Tor).\n\nMöchten Sie diesen Fehlerbericht in einer Datei speichern?"
+msgstr ""
+"Der Fehlerbericht konnte – vermutlich aufgrund von Netzwerkproblemen – nicht "
+"gesendet werden.\n"
+"\n"
+"Als alternative Lösung können Sie den Fehlerbericht auf einem USB-Stick "
+"speichern und versuchen, ihn uns von einem anderen Rechner aus per E-Mail an "
+"%s zu senden. Bedenken Sie bitte, dass dieser Fehlerbericht dann nicht "
+"anonym sein wird, es sei denn, Sie unternehmen weitere Schritte dazu (z. B. "
+"die Verwendung einer Wegwerf-E-Mail-Adresse in Verbindung mit Tor).\n"
+"\n"
+"Möchten Sie diesen Fehlerbericht in einer Datei speichern?"
 
-#: ../whisperBack/gui.py:332 ../data/whisperback.ui.h:21
+#: ../whisperBack/gui.py:338 ../data/whisperback.ui.h:21
 msgid "WhisperBack"
 msgstr "WhisperBack"
 
-#: ../whisperBack/gui.py:333 ../data/whisperback.ui.h:2
+#: ../whisperBack/gui.py:339 ../data/whisperback.ui.h:2
 msgid "Send feedback in an encrypted mail."
 msgstr "Ihre Rückmeldung in einer verschlüsselten Nachricht versenden."
 
-#: ../whisperBack/gui.py:336
+#: ../whisperBack/gui.py:342
 msgid "Copyright © 2009-2018 Tails developers (tails@boum.org)"
 msgstr "Copyright © 2009-2018 Tails developers (tails@boum.org)"
 
-#: ../whisperBack/gui.py:337
+#: ../whisperBack/gui.py:343
 msgid "Tails developers <tails@boum.org>"
 msgstr "Tails-Entwickler <tails@boum.org>"
 
-#: ../whisperBack/gui.py:338
+#: ../whisperBack/gui.py:344
 msgid "translator-credits"
 msgstr "Wir danken allen freiwilligen Übersetzern dieser Software!"
 
-#: ../whisperBack/gui.py:370
+#: ../whisperBack/gui.py:377
 msgid "This doesn't seem to be a valid URL or OpenPGP key."
 msgstr "Dies scheint keine gültige Adresse oder OpenPGP-Schlüssel zu sein."
 
@@ -183,13 +210,31 @@ msgid ""
 "\n"
 "You should have received a copy of the GNU General Public License\n"
 "along with this program.  If not, see <http://www.gnu.org/licenses/>.\n"
-msgstr "WhisperBack - Feedback in einer verschlüsselten Mail senden\nCopyright (C) 2009-2018 Tails Entwickler <tails@boum.org>>\nDieses Programm ist freie Software; Sie können es weitergeben und/oder ändern\nunter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht; entweder Version 3 der Lizenz oder (als\nIhre Option) jede spätere Version.\nDieses Programm wird in der Hoffnung verteilt, dass es nützlich sein wird, aber\nOHNE JEGLICHE GARANTIE; auch ohne die implizite Garantie von\nMARKTFÄHIGKEIT oder Tauglichkeit für einen bestimmten Zweck. Siehe GNU\nGeneral Public License für weitere Informationen.\nSie sollten eine Kopie der GNU General Public License erhalten haben,\nzusammen mit diesem Programm. Wenn nicht, siehe <http://www.gnu.org/licenses/>.\n"
+msgstr ""
+"WhisperBack - Feedback in einer verschlüsselten Mail senden\n"
+"Copyright (C) 2009-2018 Tails Entwickler <tails@boum.org>>\n"
+"Dieses Programm ist freie Software; Sie können es weitergeben und/oder "
+"ändern\n"
+"unter den Bedingungen der GNU General Public License, wie von der Free "
+"Software Foundation veröffentlicht; entweder Version 3 der Lizenz oder (als\n"
+"Ihre Option) jede spätere Version.\n"
+"Dieses Programm wird in der Hoffnung verteilt, dass es nützlich sein wird, "
+"aber\n"
+"OHNE JEGLICHE GARANTIE; auch ohne die implizite Garantie von\n"
+"MARKTFÄHIGKEIT oder Tauglichkeit für einen bestimmten Zweck. Siehe GNU\n"
+"General Public License für weitere Informationen.\n"
+"Sie sollten eine Kopie der GNU General Public License erhalten haben,\n"
+"zusammen mit diesem Programm. Wenn nicht, siehe <http://www.gnu.org/licenses/"
+">.\n"
 
 #: ../data/whisperback.ui.h:20
 msgid ""
 "If you want us to encrypt messages when we respond to you, add your key ID, "
 "a link to your key, or the key as a public key block:"
-msgstr "Wenn Sie wollen, dass wir Ihnen mit einer verschlüsselten Nachricht antworten, teilen Sie uns bitte Ihre Schlüssel-ID, einen Link zu Ihrem Schlüssel oder den öffentlichen Schlüsselblock mit:"
+msgstr ""
+"Wenn Sie wollen, dass wir Ihnen mit einer verschlüsselten Nachricht "
+"antworten, teilen Sie uns bitte Ihre Schlüssel-ID, einen Link zu Ihrem "
+"Schlüssel oder den öffentlichen Schlüsselblock mit:"
 
 #: ../data/whisperback.ui.h:22
 msgid "Summary"
@@ -230,3 +275,16 @@ msgstr "Informationen zur Fehlersuche"
 #: ../data/whisperback.ui.h:31
 msgid "Send"
 msgstr "Senden"
+
+#: ../data/whisperback.desktop.in.h:1
+msgid "WhisperBack Error Reporting"
+msgstr "WhisperBack Problemmelder"
+
+#: ../data/whisperback.desktop.in.h:2
+#, fuzzy
+msgid "Send feedback via encrypted e-mail"
+msgstr "Ihre Rückmeldung in einer verschlüsselten Nachricht versenden."
+
+#: ../data/whisperback.desktop.in.h:3
+msgid "feedback;bug;report;tails;error;"
+msgstr "Feedback;Problem;Meldung;Tails;Fehler"
diff --git a/po/whisperback.pot b/po/whisperback.pot
index 990d341..bfabbaf 100644
--- a/po/whisperback.pot
+++ b/po/whisperback.pot
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-06-11 17:17+0200\n"
+"POT-Creation-Date: 2019-04-27 14:13+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -18,17 +18,17 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 
 #. XXX use a better exception
-#: ../whisperBack/whisperback.py:56
+#: ../whisperBack/whisperback.py:63
 #, python-format
 msgid "Invalid contact email: %s"
 msgstr ""
 
-#: ../whisperBack/whisperback.py:74
+#: ../whisperBack/whisperback.py:83
 #, python-format
 msgid "Invalid contact OpenPGP key: %s"
 msgstr ""
 
-#: ../whisperBack/whisperback.py:76
+#: ../whisperBack/whisperback.py:85
 msgid "Invalid contact OpenPGP public key block"
 msgstr ""
 
@@ -39,56 +39,56 @@ msgid ""
 "whisperback/config.py, ~/.whisperback/config.py, or ./config.py"
 msgstr ""
 
-#: ../whisperBack/gui.py:111
+#: ../whisperBack/gui.py:114
 msgid "Name of the affected software"
 msgstr ""
 
-#: ../whisperBack/gui.py:113
+#: ../whisperBack/gui.py:116
 msgid "Exact steps to reproduce the error"
 msgstr ""
 
-#: ../whisperBack/gui.py:115
+#: ../whisperBack/gui.py:118
 msgid "Actual result and description of the error"
 msgstr ""
 
-#: ../whisperBack/gui.py:117
+#: ../whisperBack/gui.py:120
 msgid "Desired result"
 msgstr ""
 
-#: ../whisperBack/gui.py:130
+#: ../whisperBack/gui.py:133
 msgid "Unable to load a valid configuration."
 msgstr ""
 
-#: ../whisperBack/gui.py:166
+#: ../whisperBack/gui.py:170
 msgid "Sending mail..."
 msgstr ""
 
-#: ../whisperBack/gui.py:167
+#: ../whisperBack/gui.py:171
 msgid "Sending mail"
 msgstr ""
 
 #. pylint: disable=C0301
-#: ../whisperBack/gui.py:169
+#: ../whisperBack/gui.py:173
 msgid "This could take a while..."
 msgstr ""
 
-#: ../whisperBack/gui.py:185
+#: ../whisperBack/gui.py:189
 msgid "The contact email address doesn't seem valid."
 msgstr ""
 
-#: ../whisperBack/gui.py:202
+#: ../whisperBack/gui.py:206
 msgid "Unable to send the mail: SMTP error."
 msgstr ""
 
-#: ../whisperBack/gui.py:204
+#: ../whisperBack/gui.py:208
 msgid "Unable to connect to the server."
 msgstr ""
 
-#: ../whisperBack/gui.py:206
+#: ../whisperBack/gui.py:210
 msgid "Unable to create or to send the mail."
 msgstr ""
 
-#: ../whisperBack/gui.py:209
+#: ../whisperBack/gui.py:213
 msgid ""
 "\n"
 "\n"
@@ -98,20 +98,20 @@ msgid ""
 "If it does not work, you will be offered to save the bug report."
 msgstr ""
 
-#: ../whisperBack/gui.py:222
+#: ../whisperBack/gui.py:226
 msgid "Your message has been sent."
 msgstr ""
 
-#: ../whisperBack/gui.py:229
+#: ../whisperBack/gui.py:233
 msgid "An error occured during encryption."
 msgstr ""
 
-#: ../whisperBack/gui.py:249
+#: ../whisperBack/gui.py:253
 #, python-format
 msgid "Unable to save %s."
 msgstr ""
 
-#: ../whisperBack/gui.py:272
+#: ../whisperBack/gui.py:276
 #, python-format
 msgid ""
 "The bug report could not be sent, likely due to network problems.\n"
@@ -125,27 +125,27 @@ msgid ""
 "Do you want to save the bug report to a file?"
 msgstr ""
 
-#: ../whisperBack/gui.py:332 ../data/whisperback.ui.h:21
+#: ../whisperBack/gui.py:338 ../data/whisperback.ui.h:21
 msgid "WhisperBack"
 msgstr ""
 
-#: ../whisperBack/gui.py:333 ../data/whisperback.ui.h:2
+#: ../whisperBack/gui.py:339 ../data/whisperback.ui.h:2
 msgid "Send feedback in an encrypted mail."
 msgstr ""
 
-#: ../whisperBack/gui.py:336
+#: ../whisperBack/gui.py:342
 msgid "Copyright © 2009-2018 Tails developers (tails@boum.org)"
 msgstr ""
 
-#: ../whisperBack/gui.py:337
+#: ../whisperBack/gui.py:343
 msgid "Tails developers <tails@boum.org>"
 msgstr ""
 
-#: ../whisperBack/gui.py:338
+#: ../whisperBack/gui.py:344
 msgid "translator-credits"
 msgstr ""
 
-#: ../whisperBack/gui.py:370
+#: ../whisperBack/gui.py:377
 msgid "This doesn't seem to be a valid URL or OpenPGP key."
 msgstr ""
 
@@ -221,3 +221,15 @@ msgstr ""
 #: ../data/whisperback.ui.h:31
 msgid "Send"
 msgstr ""
+
+#: ../data/whisperback.desktop.in.h:1
+msgid "WhisperBack Error Reporting"
+msgstr ""
+
+#: ../data/whisperback.desktop.in.h:2
+msgid "Send feedback via encrypted e-mail"
+msgstr ""
+
+#: ../data/whisperback.desktop.in.h:3
+msgid "feedback;bug;report;tails;error;"
+msgstr ""
-- 
2.11.0