From 7a96b046fe06430ec8c46fdff7a07abebe54a09c Mon Sep 17 00:00:00 2001
From: sajolida <sajolida@pimienta.org>
Date: Wed, 18 Mar 2020 18:05:57 +0000
Subject: [PATCH] Document how to import OpenPGP public keys on the command
 line (#17183)

---
 .../doc/encryption_and_privacy/gpgapplet.mdwn | 25 +++++++++++-
 wiki/src/support/known_issues.mdwn            |  5 +++
 .../import_broken_in_seahorse.inline.mdwn     | 40 +++++++++++++++++++
 3 files changed, 68 insertions(+), 2 deletions(-)
 create mode 100644 wiki/src/support/known_issues/import_broken_in_seahorse.inline.mdwn

diff --git a/wiki/src/doc/encryption_and_privacy/gpgapplet.mdwn b/wiki/src/doc/encryption_and_privacy/gpgapplet.mdwn
index 584b0a4615..c82e7c7be4 100644
--- a/wiki/src/doc/encryption_and_privacy/gpgapplet.mdwn
+++ b/wiki/src/doc/encryption_and_privacy/gpgapplet.mdwn
@@ -17,8 +17,6 @@ With <span class="application">OpenPGP Applet</span> you can:
   - [[Encrypt and sign text with a public key|encryption_and_privacy/gpgapplet/public-key_cryptography]]
   - [[Decrypt and verify text|encryption_and_privacy/gpgapplet/decrypt_verify]]
 
-Note that the applet doesn't manage your keys, that is done by Seahorse.
-
 <div class="caution">
 
 <p>If you have GnuPG keys stored in Persistence since before Tails 4.1
@@ -27,3 +25,26 @@ configuration|doc/encryption_and_privacy/openpgp_keyserver]] to use safe
 keyservers.</p>
 
 </div>
+
+Managing your OpenPGP keys
+==========================
+
+You can manage your OpenPGP keys using the *Passwords and Keys* utility,
+also called *Seahorse*.
+
+To open the *Passwords and Keys* utility, you can either:
+
+* Click on *OpenPGP Applet* and choose **Manage Keys**.
+
+* Choose **Applications**&nbsp;▸ **Utilities**&nbsp;▸ **Passwords and
+  Keys**.
+
+To list the public OpenPGP keys in your keyring:
+
+1. Choose **GnuPG keys** in the sidebar of the **Passwords and Keys**
+   utility.
+
+Importing new OpenPGP public keys
+=================================
+
+[[!inline pages="support/known_issues/import_broken_in_seahorse.inline" raw="yes" sort="age"]]
diff --git a/wiki/src/support/known_issues.mdwn b/wiki/src/support/known_issues.mdwn
index 4ed0d1d5f7..d2b495409f 100644
--- a/wiki/src/support/known_issues.mdwn
+++ b/wiki/src/support/known_issues.mdwn
@@ -499,6 +499,11 @@ fingerprint|doc/about/fingerprint]].
 Other issues
 ============
 
+Importing OpenPGP public keys using the *Passwords and Keys* utility does nothing
+---------------------------------------------------------------------------------
+
+[[!inline pages="support/known_issues/import_broken_in_seahorse.inline" raw="yes" sort="age"]]
+
 Boot Loader Menu has display issues
 -----------------------------------
 
diff --git a/wiki/src/support/known_issues/import_broken_in_seahorse.inline.mdwn b/wiki/src/support/known_issues/import_broken_in_seahorse.inline.mdwn
new file mode 100644
index 0000000000..86a5c87f3f
--- /dev/null
+++ b/wiki/src/support/known_issues/import_broken_in_seahorse.inline.mdwn
@@ -0,0 +1,40 @@
+Importing OpenPGP public keys using the *Passwords and Keys* utility is broken
+since Tails 4.0 (October 2019). ([[!tails_ticket 17183]])
+
+Do so on the command line instead:
+
+1. Download the OpenPGP public key that you want to import.
+
+1. Choose **Applications**&nbsp;▸ **System Tools**&nbsp;▸ **Terminal** to open
+   a *Terminal*.
+
+1. Execute the following command to import the OpenPGP public key that you downloaded. Replace:
+
+   - <span class="command-placeholder">openpgp-public-key.asc</span> with the
+     path to the OpenPGP public key.
+
+     <div class="tip">
+     <p>If you are unsure about the path to the OpenPGP public key, you can insert the
+     correct path by dragging and dropping the OpenPGP public key from the
+     <span class="application">Files</span> browser onto the
+     <span class="application"> Terminal</span>.</p>
+     </div>
+
+   <p class="pre command">gpg --import <span class="command-placeholder">openpgp-public-key.asc</span></p>
+
+   You should get something like this:
+
+   <p class="pre command-example">gpg --import '/home/amnesia/Tor Browser/0x1DCBDC01B44427C7.asc'</p>
+
+   The output of this command should look like this:
+
+   <pre>
+   gpg: key 0x1DCBDC01B44427C7: public key "Robert J. Hansen <rjh@sixdemonbag.org>" imported
+   gpg: Total number processed: 1
+   gpg:               imported: 1
+   </pre>
+
+1. The imported OpenPGP public key does not appear in the *Passwords and Keys*
+   utility but should appear in the list of keys available for encryption when
+   [[encrypting text with a public key|doc/encryption_and_privacy/gpgapplet/public-key_cryptography]]
+   using *OpenPGP Applet*.
-- 
2.20.1